create table sscCountry (
	countryID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.CountryBean', 
	code varchar2(255) not null unique, 
	name varchar2(255), 
	isActive number(1,0) default 0, 
	allowOtherStates number(1,0) default 0, 
	countryOrder number(10,0) default 0, 
	primary key (countryID)
);

create table sscOrder (
	orderID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderBean', 
	customerID number(10,0), 
	userName varchar2(100), 
	orderNumber number(10,0), 
	trackingNumber varchar2(100), 
	total double precision, 
	shipping double precision, 
	tax double precision, 
	taxableSubtotal double precision, 
	subtotal double precision, 
	weight double precision, 
	quantity number(10,0), 
	created varchar2(100), 
	lastModified varchar2(100), 
	completed varchar2(100), 
	autoSavedCartToken varchar2(255), 
	status varchar2(100), 
	statusDetails varchar2(255), 
	shippingMethod varchar2(255), 
	firstName varchar2(100), 
	lastName varchar2(100), 
	organization varchar2(100), 
	address1 varchar2(255), 
	address2 varchar2(255), 
	city varchar2(100), 
	state varchar2(100), 
	postalCode varchar2(100), 
	country varchar2(100), 
	phone1 varchar2(100), 
	phone2 varchar2(100), 
	email1 varchar2(100), 
	email2 varchar2(100),
	paymentProfileID varchar2(100),
	extra1 varchar2(255), 
	extra2 varchar2(255), 
	extra3 varchar2(255), 
	extra4 varchar2(255), 
	extra5 varchar2(255), 
	notes clob, 
	primary key (orderID)
);

create table sscOrderNumber (
	orderNumber number(10,0) not null,
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderNumberBean',
	primary key (orderNumber)
);

create table sscOrderDelivery (
	orderDeliveryID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderDeliveryBean', 
	orderID number(10,0), 
	trackingNumber varchar2(100), 
	total double precision, 
	shipping double precision, 
	tax double precision, 
	taxableSubtotal double precision, 
	subtotal double precision, 
	weight double precision, 
	quantity number(10,0), 
	lastModified varchar2(100), 
	delivered varchar2(100), 
	status varchar2(100), 
	statusDetails varchar2(255), 
	firstName varchar2(100), 
	lastName varchar2(100), 
	organization varchar2(100), 
	address1 varchar2(255), 
	address2 varchar2(255), 
	city varchar2(100), 
	state varchar2(100), 
	postalCode varchar2(100), 
	country varchar2(100), 
	phone1 varchar2(100), 
	phone2 varchar2(100), 
	email1 varchar2(100), 
	email2 varchar2(100), 
	extra1 varchar2(255), 
	extra2 varchar2(255), 
	extra3 varchar2(255), 
	extra4 varchar2(255), 
	extra5 varchar2(255), 
	notes clob, 
	primary key (orderDeliveryID)
);

create table sscOrderDiscount (
	orderDiscountID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderDiscountBean', 
	orderID number(10,0), 
	orderItemID number(10,0), 
	total double precision, 
	discountID number(10,0), 
	code varchar2(100) not null, 
	name varchar2(255), 
	usersAppliesType varchar2(32), 
	usersAppliesValue varchar2(255), 
	itemsAppliesType varchar2(32), 
	itemsAppliesValue varchar2(255), 
	cartItemsType varchar2(32), 
	cartItemsValue varchar2(255), 
	rewardType varchar2(32), 
	reward double precision, 
	couponCode varchar2(32), 
	floor double precision, 
	ceiling double precision, 
	extra1 varchar2(255), 
	extra2 varchar2(255), 
	extra3 varchar2(255), 
	primary key (orderDiscountID)
);

create table sscOrderItem (
	orderItemID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderItemBean', 
	orderDeliveryID number(10,0), 
	orderID number(10,0), 
	total double precision, 
	weight double precision, 
	costTotal double precision, 
	quantity number(10,0) not null, 
	productID number(10,0), 
	manufacturerID number(10,0), 
	code varchar2(100) not null, 
	seoCode varchar2(255), 
	name varchar2(255), 
	isActive number(1,0) default 0, 
	unitCost double precision, 
	unitPrice double precision, 
	altPrice double precision, 
	productWeight double precision, 
	isTaxed number(1,0) not null, 
	image varchar2(255), 
	shortDescription varchar2(255), 
	extra1 varchar2(255), 
	extra2 varchar2(255), 
	extra3 varchar2(255), 
	extra4 varchar2(255), 
	extra5 varchar2(255), 
	decrementedSKUs clob, 
	primary key (orderItemID)
);

create table sscOrderItemAttribute (
	orderItemAttributeID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderItemAttributeBean', 
	orderItemID number(10,0), 
	total double precision, 
	weight double precision, 
	costTotal double precision, 
	attributeValue clob not null, 
	attributeID number(10,0), 
	attributeCode varchar2(100) not null, 
	attributeName varchar2(255), 
	attributeUnitCost double precision, 
	attributeUnitPrice double precision, 
	attributeAltPrice double precision, 
	attributeWeight double precision, 
	attributeImage varchar2(255), 
	optionID number(10,0), 
	optionCode varchar2(100), 
	optionName varchar2(255), 
	optionUnitCost double precision, 
	optionUnitPrice double precision, 
	optionAltPrice double precision, 
	optionWeight double precision, 
	optionImage varchar2(255), 
	primary key (orderItemAttributeID)
);

create table sscState (
	stateID number(10,0) not null, 
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.StateBean', 
	countryID number(10,0), 
	code varchar2(255) not null, 
	name varchar2(255), 
	isActive number(1,0) default 0, 
	stateOrder number(10,0) default 0, 
	primary key (stateID),
	unique (countryID, code)
);

alter table sscOrderDelivery add constraint FKCD430942DA8BA36 foreign key (orderID) references sscOrder;
alter table sscOrderDiscount add constraint FKAC76628FDA8BA36 foreign key (orderID) references sscOrder;
alter table sscOrderItem add constraint FK60163F61DA8BA36 foreign key (orderID) references sscOrder;
alter table sscOrderItem add constraint FK60163F613D10DE3E foreign key (orderDeliveryID) references sscOrderDelivery;
ALTER TABLE sscDiscount ADD CONSTRAINT discountOIFK FOREIGN KEY (orderItemID) REFERENCES sscOrderItem ON DELETE SET NULL;
alter table sscOrderItemAttribute add constraint FK738E483B3AE8A63C foreign key (orderItemID) references sscOrderItem;
alter table sscState add constraint FK4C7D4712F5AE506 foreign key (countryID) references sscCountry;

create table sscOrderSetting (
	orderSettingID number(10,0) not null, 
	orderID number(10,0),
	code varchar2(100),
	name varchar2(255),
	description varchar2(255),
	type varchar2(100),
	valueType varchar2(16) not null,
	integerValue number(10,0), 
	smallValue varchar2(64),
	mediumValue varchar2(255),
	textValue clob,
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderSettingBean',
	primary key (orderSettingID),
	unique (orderID, code)
);

alter table sscOrderSetting add constraint FKOsOID foreign key (orderID) references sscOrder ON DELETE SET NULL;

CREATE SEQUENCE countryInstallerSequence;

CREATE OR REPLACE TRIGGER countrySequenceTrigger 
	BEFORE INSERT ON sscCountry 
	FOR EACH ROW
	WHEN (new.countryID IS NULL)
		BEGIN
			SELECT countryInstallerSequence.NEXTVAL
			INTO   :new.countryID
			FROM   dual; 
		END;;

CREATE OR REPLACE TRIGGER stateSequenceTrigger 
	BEFORE INSERT ON sscState 
	FOR EACH ROW
	WHEN (new.stateID IS NULL)
		BEGIN
			SELECT hibernate_sequence.NEXTVAL
			INTO   :new.stateID
			FROM   dual; 
		END;;

CREATE SEQUENCE orderNumberSequence;

CREATE OR REPLACE TRIGGER orderNumberTrigger 
	BEFORE INSERT ON sscOrderNumber 
	FOR EACH ROW
	WHEN (new.orderNumber IS NULL)
		BEGIN
			SELECT orderNumberSequence.NEXTVAL
			INTO   :new.orderNumber
			FROM   dual; 
		END;;
		
CREATE INDEX IDX_sscOrder_userName ON sscOrder (userName);
CREATE INDEX IDX_sscOrder_orderNumber ON sscOrder (orderNumber);
CREATE INDEX IDX_sscOrder_trackingNumber ON sscOrder (trackingNumber);
CREATE INDEX IDX_sscOrder_firstName ON sscOrder (firstName);
CREATE INDEX IDX_sscOrder_lastName ON sscOrder (lastName);
CREATE INDEX IDX_sscOrder_address1 ON sscOrder (address1);
CREATE INDEX IDX_sscOrder_postalCode ON sscOrder (postalCode);
CREATE INDEX IDX_sscOrder_phone1 ON sscOrder (phone1);
CREATE INDEX IDX_sscOrder_email1 ON sscOrder (email1);
CREATE INDEX IDX_sscO_autoSCToken ON sscOrder (autoSavedCartToken);
CREATE INDEX IDX_sscOrder_completed ON sscOrder (completed);

CREATE INDEX IDX_sscOrderDelivery_track ON sscOrderDelivery (trackingNumber);
CREATE INDEX IDX_sscOrderDelivery_first ON sscOrderDelivery (firstName);
CREATE INDEX IDX_sscOrderDelivery_last ON sscOrderDelivery (lastName);
CREATE INDEX IDX_sscOrderDelivery_add1 ON sscOrderDelivery (address1);
CREATE INDEX IDX_sscOrderDelivery_postal ON sscOrderDelivery (postalCode);
CREATE INDEX IDX_sscOrderDelivery_phone1 ON sscOrderDelivery (phone1);
CREATE INDEX IDX_sscOrderDelivery_email1 ON sscOrderDelivery (email1);

CREATE INDEX IDX_sscOrderItem_code ON sscOrderItem (code);
CREATE INDEX IDX_sscOrderItem_name ON sscOrderItem (name);

CREATE INDEX IDX_sscOrderItemAttr_code ON sscOrderItemAttribute (attributeCode);
CREATE INDEX IDX_sscOrderItemAttr_name ON sscOrderItemAttribute (attributeName);
CREATE INDEX IDX_sscOrderItemAttr_optCode ON sscOrderItemAttribute (optionCode);
CREATE INDEX IDX_sscOrderItemAttr_optName ON sscOrderItemAttribute (optionName);

CREATE INDEX IDX_sscCountry_name ON sscCountry (name);
CREATE INDEX IDX_sscCountry_order ON sscCountry (countryOrder);

CREATE INDEX IDX_sscState_name ON sscState (name);
CREATE INDEX IDX_sscState_order ON sscState (stateOrder);

CREATE INDEX IDX_sscOrderDiscount_total ON sscOrderDiscount (total);
CREATE INDEX IDX_sscOrderDiscount_code ON sscOrderDiscount (code);
CREATE INDEX IDX_sscOrderDiscount_name ON sscOrderDiscount (name);
