CREATE TABLE sscBasicTaxRate (
  basicTaxRateID INT(11) NOT NULL AUTO_INCREMENT,
  countryID INT(11) DEFAULT NULL,
  stateID INT(11) DEFAULT NULL,
  city VARCHAR(100) DEFAULT NULL,
  postalCode VARCHAR(100) DEFAULT NULL,
  rate DECIMAL(10,4) NOT NULL DEFAULT '0',
  isActive TINYINT(4) NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.tax.BasicTaxRateBean',
  PRIMARY KEY  (basicTaxRateID),
  KEY countryIDIndex (countryID),
  KEY stateIDIndex (stateID),
  FOREIGN KEY (`countryID`) REFERENCES `sscCountry` (`countryID`) ON DELETE CASCADE,
  FOREIGN KEY (`stateID`) REFERENCES `sscState` (`stateID`) ON DELETE SET NULL
);

CREATE INDEX IDX_sscBasicTaxRate_city ON sscBasicTaxRate (city);
CREATE INDEX IDX_sscBasicTaxRate_postalCode ON sscBasicTaxRate (postalCode);
