CREATE TABLE sscManufacturer (
  manufacturerID INT(11) NOT NULL AUTO_INCREMENT,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  websiteURL VARCHAR(255) DEFAULT NULL,
  description TEXT,
  isActive TINYINT(4) NOT NULL DEFAULT '1',
  header TEXT,
  footer TEXT,
  smallImage VARCHAR(255) DEFAULT NULL,
  largeImage VARCHAR(255) DEFAULT NULL,
  extra1 VARCHAR(255) DEFAULT NULL,
  extra2 VARCHAR(255) DEFAULT NULL,
  extra3 VARCHAR(255) DEFAULT NULL,
  manufacturerOrder INT(11) NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.product.ManufacturerBean',
  PRIMARY KEY  (manufacturerID),
  UNIQUE KEY manufacturerCode (code)
);

CREATE INDEX IDX_sscManufacturer_name ON sscManufacturer (name);
CREATE INDEX IDX_sscManufacturer_manufacturerOrder ON sscManufacturer (manufacturerOrder);

ALTER TABLE sscProduct ADD manufacturerID INT;
ALTER TABLE sscProduct ADD FOREIGN KEY (`manufacturerID`) REFERENCES `sscManufacturer` (`manufacturerID`) ON DELETE SET NULL;

ALTER TABLE sscOrderItemAttribute DROP INDEX IDX_sscOrderItemAttribute_value;
ALTER TABLE sscOrderItemAttribute CHANGE COLUMN attributeValue attributeValue TEXT;
