UPDATE sscSetting SET smallValue='3.3.2' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('useAjaxOnePageCheckout','Use Ajax One-Page Checkout Form?','If true, the checkout process will feature a single screen with address, shipping, and payment form fields, rather than separate screens. Unlike the Combo Screen however, Ajax is used to submit the address information before shipping options are displayed. This allows you to use this form even if you use UPS, FedEx, or USPS, where the delivery address must be submitted before shipping options can be displayed. (Overrides Use Combined Address and Shipping setting and Use Combo Layout setting.)','CHECKOUT','booleanValue','0',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('useTinyMCE','Use TinyMCE Rich Text Editor?','If yes, the system will use the TinyMCE rich-text editor on admin forms that ask for HTML content, such as category and product descriptions. If no, the legacy YUI Rich Text Editor will be available for those fields.','ADVANCEDSYSTEM','booleanValue','0',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('capturePaymentsWhenOrderStatusChanges','Capture Payments When Order Status Changes?','When an order status is changed to the above Order Status for Capturing Payments value, attempt to capture a previously-authorized payment, if the payment processor used for the order supports the function. This setting turns the feature on and off.','PAYMENTS', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('maxWelcomePageCarouselCategories','Max Welcome Page Carousel Items','The number of items displayed in a carousel of the large images of the top-level categories of the store on the welcome page. Set to 0 to not display a carousel. (default-html5 layout only.)','HEADERANDSIDEPANEL','integerValue',10,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('html5CssTheme','HTML5 CSS Theme','The HTML5 Theme in effect for the store (default-html5 layout only).', 'HTML5THEMES','smallValue',NULL,'css',NULL,NULL);

UPDATE sscSetting SET description = 'The layout directory used for any JSP templates that do not exist in the current layout for the user. The valid values are default (a legacy set of templates), default-xhtml (a newer, CSS-based set of templates), and default-html5 (the most recent set of templates based on HTML5 and Bootstrap).' WHERE code = 'baseLayout';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureIframeURL','CRE IFrame Request URL','Use https://www.cresecure.net/hpf/1_1/ for live or https://www.sandbox-cresecure.net/hpf/1_1/ for the testing sandbox.','CRESECURE', 'mediumValue',NULL,NULL,'https://www.sandbox-cresecure.net/hpf/1_1/',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureMerchPass','CRE Secure ID','Unique ID Number provided by CRE Secure. Also known as CRE Secure ID.','CRESECURE', 'smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureAPIToken','CRE API Token','API Token provided by CRE Secure.','CRESECURE', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureTokenize','CRE Token Options','Invokes the CRE Tokenization capability described in CRE Card Tokenization Services.  This allows you to store the token for future payments.','CRESECURE', 'smallValue',NULL,'store_authorize',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureCapturePriorAuthPaymentsViaCIM','CRE Capture Prior Auth Payments Via CIM?','CRE Secure can talk to an Authorize.net CIM account on the back end. If this is how your CRE account is set up, you can use this setting to capture prior-authorized payment using the Authorize.net CIM account directly, when an order is flipped to Shipped status. You must configure your Authorize.net CIM credentials on the Authorize.net CIM Settings screen if enabling this.','CRESECURE', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureFormType','CRE Form Type','Sets the default base layout for the payment form. This parameter takes the following values: 0 - Short, 1 - Tall, 4 - iPhone, 5 - Mobile','CRESECURE', 'smallValue',NULL,'0',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureAllowedTypes','CRE Allowed Payment Types','Pipe delimited list of possible payment types, all would be Visa|MasterCard|American Express|Discover|GSA SmartPay','CRESECURE', 'mediumValue',NULL,NULL,'Visa|MasterCard',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureTransType','CRE Transaction Type','Sets the transaction type: auth_capture. Sets the transaction type to Sale. auth_only. Sets the transaction type to Auth Only. The default for this parameter is set in the merchant profile.','CRESECURE', 'smallValue',NULL,'auth_only',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureRequired','CRE Required Fields','Sets the fields required in the payment form. This parameter takes the following values: all. All fields required, minimum. Name on Card and CVV optional. If no value is set, default is Name on Card required, CVV optional.','CRESECURE', 'smallValue',NULL,'all',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureCollectAddress','CRE Collect Billing Address','Sets the option to display billing address fields on the payment form. This parameter takes the following values: 0. Do no display address fields on the payment form, 1. Display address fields on the payment form, 2. Display address fields including a country field on the payment form.','CRESECURE', 'smallValue',NULL,'0',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureValidationServiceURL','CRE Validation URL','Use https://www.crsecure.net/direct/services/validation/ for live or https://www.sandbox-cresecure.net/direct/services/validation/ for the testing sandbox.','CRESECURE', 'mediumValue',NULL,NULL,'https://www.sandbox-cresecure.net/direct/services/validation/',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureAuthorizationServiceURL','CRE Authorization URL','Use https://direct.cresecure.net/direct/services/authorize/ for live or https://www.sandbox-cresecure.net/direct/services/authorize/ for the testing sandbox.','CRESECURE', 'mediumValue',NULL,NULL,'https://www.sandbox-cresecure.net/direct/services/authorize/',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('creSecureCSSURL','CRE CSS URL','The URL to the CSS file to style the embedded iframe form from CRE Secure. If left blank, it will use what is setup in the CRE account. This can either be a full https URL or a relative URL starting with /, in which case the Customer Secure URL setting will be prepended to it.','CRESECURE', 'mediumValue',NULL,NULL,'/css/base/cre.css',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactUserName','Constant Contact User Name','The user name of your Constant Contact account.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactPassword','Constant Contact Password','The password of your Constant Contact account.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactAPIKey','Constant Contact API Key','The API key of your Constant Contact account, which may be obtained <a href="http://community.constantcontact.com/t5/Documentation/API-Keys/ba-p/25015">here</a>.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactContactForm','Create Subscribers from Contact Form','Define if and how subscribers in your Constant Contact account should be created when users submit the contact form. (Manage other contact form settings from the <a href="SettingsContactForm.do">Contact Form Settings screen</a>.)','CONSTANTCONTACT', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactContactFormOptInPrompt','Contact Form Opt In Prompt','If the above setting, Create Subcribers from Contact Form, is set to Subscribe Only Users Who Opt In, a field will appear on the contact form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactContactFormListID','Contact Form Subscriber List ID','The ID of the subscriber list in your Constant Contact account that users who sign up from the contact form should be added to. You must create the list in the your Constant Contact account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','CONSTANTCONTACT', 'integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactCustomerRegistration','Create Subscribers As Customers Register','Define if and how subscribers in the Constant Contact system should be created when users create a customer account.','CONSTANTCONTACT', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactCustomerRegistrationOptInPrompt','Customer Registration Opt In Prompt','If the above setting, Create Subscribers As Customers Register, is set to Subscribe Only Users Who Opt In, a field will appear on the customer registration form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactCustomerRegistrationListID','Customer Registration Subscriber List ID','The list ID of the subscriber list in the Constant Contact system that users who sign up as they register should be added to. You must create the list in the your Constant Contact account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','CONSTANTCONTACT', 'integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactCheckout','Create Subscribers During Checkout','Define if and how subscribers in the Constant Contact system should be created when users go through checkout (specifically, submit the Checkout Addresses screen).','CONSTANTCONTACT', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactCheckoutOptInPrompt','Checkout Opt In Prompt','If the above setting, Create Subscribers During Checkout, is set to Subscribe Only Users Who Opt In, a field will appear on the Checkout Addresses screen allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','CONSTANTCONTACT', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('constantContactCheckoutListID','Checkout Subscriber List ID','The list ID of the subscriber list in the Constant Contact system that users who sign up during checkout should be added to. You must create the list in the your Constant Contact account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','CONSTANTCONTACT', 'integerValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpAPIKey','MailChimp API Key','The API key of your MailChimp account, which may be obtained <a href="http://kb.mailchimp.com/article/where-can-i-find-my-api-key#generating">here</a>.','MAILCHIMP', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpContactForm','Create Subscribers from Contact Form','Define if and how subscribers in your MailChimp account should be created when users submit the contact form. (Manage other contact form settings from the <a href="SettingsContactForm.do">Contact Form Settings screen</a>.)','MAILCHIMP', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpContactFormOptInPrompt','Contact Form Opt In Prompt','If the above setting, Create Subcribers from Contact Form, is set to Subscribe Only Users Who Opt In, a field will appear on the contact form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','MAILCHIMP', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpContactFormListID','Contact Form Subscriber List ID','The ID of the subscriber list in your MailChimp account that users who sign up from the contact form should be added to. You must create the list in the your MailChimp account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)<br>Find the list ID <a href="http://kb.mailchimp.com/article/where-can-i-find-my-api-key#generating">here</a>.','MAILCHIMP', 'smallValue',NULL,1,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpCustomerRegistration','Create Subscribers As Customers Register','Define if and how subscribers in the MailChimp system should be created when users create a customer account.','MAILCHIMP', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpCustomerRegistrationOptInPrompt','Customer Registration Opt In Prompt','If the above setting, Create Subscribers As Customers Register, is set to Subscribe Only Users Who Opt In, a field will appear on the customer registration form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','MAILCHIMP', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpCustomerRegistrationListID','Customer Registration Subscriber List ID','The list ID of the subscriber list in the MailChimp system that users who sign up as they register should be added to. You must create the list in the your MailChimp account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','MAILCHIMP', 'smallValue',NULL,1,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpCheckout','Create Subscribers During Checkout','Define if and how subscribers in the MailChimp system should be created when users go through checkout (specifically, submit the Checkout Addresses screen).','MAILCHIMP', 'smallValue',NULL,'subscribeOptIns',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpCheckoutOptInPrompt','Checkout Opt In Prompt','If the above setting, Create Subscribers During Checkout, is set to Subscribe Only Users Who Opt In, a field will appear on the Checkout Addresses screen allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','MAILCHIMP', 'mediumValue',NULL,NULL,'Would you like to sign up for our newsletter?',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('mailChimpCheckoutListID','Checkout Subscriber List ID','The list ID of the subscriber list in the MailChimp system that users who sign up during checkout should be added to. You must create the list in the your MailChimp account and enter the ID of the list here. (To consolidate subscribers, simply make this list ID the same as the one used for the Customer Registrations or Checkout.)','MAILCHIMP', 'smallValue',NULL,1,NULL,NULL);

