ALTER TABLE sscCustomer
  ADD COLUMN passwordToken VARCHAR(100) NULL DEFAULT NULL, 
  ADD COLUMN passwordTokenDate VARCHAR(100) NULL DEFAULT NULL, 
  ADD UNIQUE INDEX passwordToken_UNIQUE (passwordToken ASC);

ALTER TABLE sscCustomer add canUsePO TINYINT NOT NULL DEFAULT '0';

ALTER TABLE sscRequestLog ADD COLUMN searchString VARCHAR(255);
CREATE INDEX IDX_sscRequestLog_searchString ON sscRequestLog (searchString);

CREATE TABLE sscOrderSetting (
  orderSettingID INT(11) NOT NULL AUTO_INCREMENT,
  orderID INT(11) NOT NULL,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  type VARCHAR(100) DEFAULT NULL,
  valueType VARCHAR(16) NOT NULL,
  integerValue INT(11) DEFAULT NULL,
  smallValue VARCHAR(64) DEFAULT NULL,
  mediumValue VARCHAR(255) DEFAULT NULL,
  textValue TEXT,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderSettingBean',
  PRIMARY KEY  (orderSettingID),
  UNIQUE KEY orderSettingUKey (orderID, code),
  KEY orderIDIndex (orderID),
  FOREIGN KEY (`orderID`) REFERENCES `sscOrder` (`orderID`) ON DELETE CASCADE
);

ALTER TABLE sscProduct ADD COLUMN created VARCHAR(100);
