<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>
<bean:define id="displayCheckoutConfirm" name="settings" property="value(displayCheckoutConfirm)" type="java.lang.String" />
<div id="basicPaymentForm" class="paymentInformation panel panel-primary">
	<div class="panel-heading">
		<h3 class="panel-title"><bean:message key="paymentForms.ccHeading" bundle="/order" /></h3>
	</div>
	<div class="panel-body">
		<div class="form-group">
			<label for="creditCardName" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccName" bundle="/order" /></label>
			<div class="col-sm-9">
				<html:text styleId="creditCardName" styleClass="textbox form-control" name="${thisForm}" property="creditCardName" />
			</div>
		</div>

		<c:if test="${settings.map.deriveCreditCardTypeFromNumber eq '0'}">
			<div class="form-group">
				<label for="creditCardType" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccType" bundle="/order" /></label>
				<div class="col-sm-9">
					<html:select styleClass="selectbox form-control" styleId="creditCardType" name="${thisForm}" property="creditCardType">
						<html:option value="VISA">Visa</html:option>
						<html:option value="MASTERCARD">MasterCard</html:option>
						<html:option value="AMEX">American Express</html:option>
						<html:option value="DISCOVER">Discover</html:option>
					</html:select>
				</div>
			</div>
		</c:if>

		<div class="form-group">
			<label for="decryptedNumber" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccNumber" bundle="/order" /></label>
			<div class="col-sm-9">
				<html:text styleClass="textbox form-control" styleId="decryptedNumber" name="${thisForm}" property="decryptedNumber" maxlength="16" />
			</div>
		</div>
		<div class="form-group">
			<label for="creditCardSecurityCode" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccSecurityCode" bundle="/order" /></label>
			<div class="col-sm-9">
				<html:text styleClass="textbox form-control" styleId="creditCardSecurityCode" name="${thisForm}" property="creditCardSecurityCode" size="4" maxlength="4" />
				(<a href="${customerURL}/images/creditCardCodeWhatsThis.gif" onclick="window.open('${customerURL}/images/creditCardCodeWhatsThis.gif','whatsthis','scrollbars=yes,width=400,height=200');return(false);"><bean:message key="paymentForms.ccWhatsThis" bundle="/order" /></a>)
			</div>
		</div>

		<div class="form-group">
			<label for="creditCardExpirationMonth" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccExpirationMonth" bundle="/order" /></label>
			<div class="col-sm-9">
				<html:select styleClass="selectbox form-control" styleId="creditCardExpirationMonth" name="${thisForm}" property="creditCardExpirationMonth">
					<html:option value="01">1</html:option>
					<html:option value="02">2</html:option>
					<html:option value="03">3</html:option>
					<html:option value="04">4</html:option>
					<html:option value="05">5</html:option>
					<html:option value="06">6</html:option>
					<html:option value="07">7</html:option>
					<html:option value="08">8</html:option>
					<html:option value="09">9</html:option>
					<html:option value="10">10</html:option>
					<html:option value="11">11</html:option>
					<html:option value="12">12</html:option>
				</html:select>
			</div>
		</div>
		<div class="form-group">
			<label for="creditCardExpirationYear" class="requiredLabel col-sm-3"><bean:message key="paymentForms.ccExpirationYear" bundle="/order" /></label>
			<div class="col-sm-9">
				<html:select styleClass="selectbox selectboxYear form-control" styleId="creditCardExpirationYear" name="${thisForm}" property="creditCardExpirationYear">
					<html:option value="${thisYear}">${thisYear}</html:option>
					<html:option value="${thisYear + 1}">${thisYear + 1}</html:option>
					<html:option value="${thisYear + 2}">${thisYear + 2}</html:option>
					<html:option value="${thisYear + 3}">${thisYear + 3}</html:option>
					<html:option value="${thisYear + 4}">${thisYear + 4}</html:option>
					<html:option value="${thisYear + 5}">${thisYear + 5}</html:option>
					<html:option value="${thisYear + 6}">${thisYear + 6}</html:option>
					<html:option value="${thisYear + 7}">${thisYear + 7}</html:option>
					<html:option value="${thisYear + 8}">${thisYear + 8}</html:option>
					<html:option value="${thisYear + 9}">${thisYear + 9}</html:option>
				</html:select>
			</div>
		</div>

		<%--Captcha Verification--%>
		<c:choose>
			<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1' and settings.map.useLegacyCaptchaMethod eq '1'}">
			<br><br>
			<div id="challengeImageAndInstructions">
				<img class="challengeImage img-responsive" alt="Challenge Image" src="${secureURL}/Jcaptcha.do"/><br>
				<bean:message key="security.textFromImageInstructions" />
			</div>
			<br><br>
			<label for="textFromImage" class="requiredLabel col-sm-3"><bean:message key="security.textFromImage" /></label>
			<div class="col-sm-9">
				<input type="text" id="textFromImage" name="textFromImage" class="textbox form-control"/>
			</div>
			</c:when>
			<c:when test="${settings.map.useImageVerificationWithCCInfo eq '1'}">
				<script src="https://www.google.com/recaptcha/api.js" async defer></script>
				<div class="g-recaptcha" data-sitekey="${settings.map.recaptchaSiteKey}"></div><br />
			</c:when>
		</c:choose>

		<logic:notPresent name="suppressSubmitButton">
			<div id="basicPaymentButton" class="paymentButton text-center">
				<c:if test="${displayCheckoutConfirm eq '0'}">
					<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.button" bundle="/order"/>" />
				</c:if>
				<c:if test="${displayCheckoutConfirm eq '1'}">
					<input id="basicPaymentSubmit" type="submit" class="btn btn-primary" value="<bean:message key="paymentForms.continueButton" bundle="/order"/>" />
				</c:if>
			</div>
		</logic:notPresent>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
