package com.softslate.commerce.administrator.email;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.email.EmailProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/EmailEdit.do". Processes a request to edit a record within
 * the system.
 * 
 */
public class EmailEditAction extends BaseAction {

	static Log log = LogFactory.getLog(EmailEditAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled()) log.debug("Starting action.");
		EmailAddEditForm baseForm = (EmailAddEditForm) form;
		
		// Handle setting Order() to null if it is empty
		if (baseForm.getOrderID() != null && baseForm.getOrderID().equals("")) {
			baseForm.setOrderID(null);
		}
		
		// Handle setting Customer() to null if it is empty
		if (baseForm.getCustomerID() != null && baseForm.getCustomerID().equals("")) {
			baseForm.setCustomerID(null);
		}
		
				// Edit the record
		EmailProcessor processor = (EmailProcessor) baseForm .getBusinessObjectFactory().createObject(
						"emailProcessorImplementer");
		processor.editEmail(PropertyUtils.describe(form));

		// Set the success message
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.recordSaved"));
		saveMessages(baseForm.getRequest(), baseForm.getMessages());

		return mapping.findForward("success");
	}
}
