package com.softslate.commerce.administrator.importexport;

import java.util.Collection;

import javax.servlet.http.HttpServletRequest;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Action form class corresponding to the common text file export forms (for
 * options, attributes, and categories).
 * 
 * @author Ashish Jain
 * 
 */
public class ExportForm extends BaseForm {

	private static final long serialVersionUID = -1920274095082296373L;

	public static final String OUTPUT_FORMAT_TAB = "tab";

	public static final String OUTPUT_FORMAT_PIPE = "pipe";

	public static final String OUTPUT_FORMAT_CSV = "csv";

	public static final String OUTPUT_FORMAT_EXCEL = "xls";

	protected Collection tableFields = null;

	protected String[] selectedFields = null;

	protected String fieldsAll = "true";

	protected String headerRow = "true";

	protected String outputFormat = OUTPUT_FORMAT_TAB;

	protected String tableName = null;

	private String downloadOrWriteFile = "download";

	private String directoryOnServer = null;

	private String fileName = null;

	public String getDownloadOrWriteFile() {
		return downloadOrWriteFile;
	}

	public void setDownloadOrWriteFile(String downloadOrWriteFile) {
		this.downloadOrWriteFile = downloadOrWriteFile;
	}

	public String getDirectoryOnServer() {
		return directoryOnServer;
	}

	public void setDirectoryOnServer(String directoryOnServer) {
		this.directoryOnServer = directoryOnServer;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	/**
	 * @return the fieldsAll
	 */
	public String getFieldsAll() {
		return fieldsAll;
	}

	/**
	 * @param fieldsAll
	 *            the fieldsAll to set
	 */
	public void setFieldsAll(String fieldsAll) {
		this.fieldsAll = fieldsAll;
	}

	/**
	 * @return the headerRow
	 */
	public String getHeaderRow() {
		return headerRow;
	}

	/**
	 * @param headerRow
	 *            the headerRow to set
	 */
	public void setHeaderRow(String headerRow) {
		this.headerRow = headerRow;
	}

	/**
	 * @return the outputFormat
	 */
	public String getOutputFormat() {
		return outputFormat;
	}

	/**
	 * @param outputFormat
	 *            the outputFormat to set
	 */
	public void setOutputFormat(String outputFormat) {
		this.outputFormat = outputFormat;
	}

	/**
	 * @return the selectedFields
	 */
	public String[] getSelectedFields() {
		return selectedFields;
	}

	/**
	 * @param selectedFields
	 *            the selectedFields to set
	 */
	public void setSelectedFields(String[] selectedFields) {
		this.selectedFields = selectedFields;
	}

	/**
	 * @return the tableFields
	 */
	public Collection getTableFields() {
		return tableFields;
	}

	/**
	 * @param tableFields
	 *            the tableFields to set
	 */
	public void setTableFields(Collection tableFields) {
		this.tableFields = tableFields;
	}

	/**
	 * @return the tableName
	 */
	public String getTableName() {
		return tableName;
	}

	/**
	 * @param tableName
	 *            the tableName to set
	 */
	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		ActionErrors errors = new ActionErrors();

		if (this.getFieldsAll().equalsIgnoreCase("false")) {
			if (null == this.getSelectedFields()
					|| this.getSelectedFields().length < 1) {
				String message = "Selected Fields";
				errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage(
						"errors.required", message));
			}
		}

		return errors;
	}

}
