package com.softslate.commerce.administrator.order;

import java.util.Collection;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.core.ApplicationMessage;
import com.softslate.commerce.businessobjects.order.OrderProcessor;
import com.softslate.commerce.customer.core.ActionUtils;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/OrderEdit.do". Processes a request to edit a record within
 * the system.
 * 
 * @author Auto-Generated by SoftSlate Extender
 * 
 */
public class OrderEditAction extends BaseAction {

	static Log log = LogFactory.getLog(OrderEditAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		OrderAddEditForm baseForm = (OrderAddEditForm) form;

		// Edit the record
		OrderProcessor processor = (OrderProcessor) baseForm.getBusinessObjectFactory().createObject(
				"orderProcessorImplementer");
		Map results = processor.editOrder(baseForm.mapOfIncomingParams());

		// Set the messages
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.recordSaved"));
		ActionUtils actionUtils = baseForm.getBusinessObjectFactory().createUtilsObject(ActionUtils.class);
		actionUtils.processApplicationMessages(baseForm.getErrors(), baseForm.getMessages(),
				(Collection<ApplicationMessage>) results.get("applicationMessages"));
		saveErrors(baseForm.getRequest(), baseForm.getErrors());
		saveMessages(baseForm.getRequest(), baseForm.getMessages());

		return mapping.findForward("success");
	}
}
