package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormAuthorizeNet extends BaseDynaForm {

	private static final long serialVersionUID = -4778432556162649189L;

	static Log log = LogFactory.getLog(SettingsFormAuthorizeNet.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (request.getParameter("authorizeNetLoginID") == null
				|| request.getParameter("authorizeNetLoginID").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Login ID"));
		}
		if (request.getParameter("authorizeNetTxKey") == null
				|| request.getParameter("authorizeNetTxKey").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Transaction Key"));
		}
		if (request.getParameter("authorizeNetTxType") == null
				|| request.getParameter("authorizeNetTxType").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Transaction Type"));
		}
		if (request.getParameter("authorizeNetURL") == null
				|| request.getParameter("authorizeNetURL").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "URL"));
		}
		if (request.getParameter("authorizeNetTestRequest") == null
				|| request.getParameter("authorizeNetTestRequest").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Test Mode?"));
		}
		if (request.getParameter("authorizeNetEmailCustomer") == null
				|| request.getParameter("authorizeNetEmailCustomer").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Email Customer?"));
		}
		return getErrors();
	}

}
