package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.apache.struts.upload.FormFile;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/OptionAddForm.do", "/administrator/OptionEditForm.do",
 * "/administrator/OptionAdd.do", and "/administrator/OptionEdit.do". Provides
 * properties corresponding to the fields for a single option record.
 * 
 * @author David Tobey, Tony Zakula
 * 
 */
public class OptionAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3257290214425506864L;

	static Log log = LogFactory.getLog(OptionAddEditForm.class);

	private String optionID = null;

	private String productID = null;

	private String attributeID = null;

	private String parentName = null;

	private String optionCode = null;

	private String optionName = null;

	private String optionDescription = null;

	private String optionIsActive = "true";

	private String optionType = null;

	private String optionUnitCost = "0.00";

	private String optionUnitPrice = "0.00";

	private String optionAltPrice = "0.00";

	private String optionWeight = "0.00";

	private String optionSmallImage = null;

	private String optionLargeImage = null;

	private String optionOrder = "0";

	private FormFile smallImageUpload = null;

	private FormFile largeImageUpload = null;

	public String getOptionID() {
		return optionID;
	}

	public void setOptionID(String optionID) {
		this.optionID = optionID;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getAttributeID() {
		return attributeID;
	}

	public void setAttributeID(String attributeID) {
		this.attributeID = attributeID;
	}

	public String getOptionAltPrice() {
		return optionAltPrice;
	}

	public void setOptionAltPrice(String optionAltPrice) {
		this.optionAltPrice = optionAltPrice;
	}

	public String getOptionCode() {
		return optionCode;
	}

	public void setOptionCode(String optionCode) {
		this.optionCode = optionCode;
	}

	public String getOptionDescription() {
		return optionDescription;
	}

	public void setOptionDescription(String optionDescription) {
		this.optionDescription = optionDescription;
	}

	public String getOptionIsActive() {
		return optionIsActive;
	}

	public void setOptionIsActive(String optionIsActive) {
		this.optionIsActive = optionIsActive;
	}

	public String getOptionLargeImage() {
		return optionLargeImage;
	}

	public void setOptionLargeImage(String optionLargeImage) {
		this.optionLargeImage = optionLargeImage;
	}

	public String getOptionName() {
		return optionName;
	}

	public void setOptionName(String optionName) {
		this.optionName = optionName;
	}

	public String getOptionOrder() {
		return optionOrder;
	}

	public void setOptionOrder(String optionOrder) {
		this.optionOrder = optionOrder;
	}

	public String getOptionSmallImage() {
		return optionSmallImage;
	}

	public void setOptionSmallImage(String optionSmallImage) {
		this.optionSmallImage = optionSmallImage;
	}

	public String getOptionType() {
		return optionType;
	}

	public void setOptionType(String optionType) {
		this.optionType = optionType;
	}

	public String getOptionUnitCost() {
		return optionUnitCost;
	}

	public void setOptionUnitCost(String optionUnitCost) {
		this.optionUnitCost = optionUnitCost;
	}

	public String getOptionUnitPrice() {
		return optionUnitPrice;
	}

	public void setOptionUnitPrice(String optionUnitPrice) {
		this.optionUnitPrice = optionUnitPrice;
	}

	public String getOptionWeight() {
		return optionWeight;
	}

	public void setOptionWeight(String optionWeight) {
		this.optionWeight = optionWeight;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (!addingNewRecord() && StringUtils.isEmpty(getOptionID()) && StringUtils.isEmpty(getOptionCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "optionID or optionCode"));
		}
		if (addingAndFieldIsBlank(getAttributeID()) || editingAndFieldIsBeingEmptiedOut(getAttributeID())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Parent attributeID"));
		}
		if (getOptionCode() != null && !getOptionCode().equals("")
				&& containsUnsafeCharacter(getOptionCode(), request) != null) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.unsafeCharacter", "The code "
							+ getOptionCode(), containsUnsafeCharacter(
							getOptionCode(), request)));
		}
		if (addingAndFieldIsBlank(getOptionName()) || editingAndFieldIsBeingEmptiedOut(getOptionName())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Name"));
		}
		return getErrors();
	}

	public FormFile getSmallImageUpload() {
		return smallImageUpload;
	}

	public void setSmallImageUpload(FormFile smallImageUpload) {
		this.smallImageUpload = smallImageUpload;
	}

	public FormFile getLargeImageUpload() {
		return largeImageUpload;
	}

	public void setLargeImageUpload(FormFile largeImageUpload) {
		this.largeImageUpload = largeImageUpload;
	}
}
