package com.softslate.commerce.businessobjects.order;

import java.util.Comparator;
import com.softslate.commerce.businessobjects.product.Discount;

/**
 * Comparator class used to sort discounts, based on the discountOrder field.
 * 
 * @author David Tobey
 * 
 */
public class DiscountComparator implements Comparator {

	public int compare(Object o1, Object o2) {
		try {
			Discount discount1 = (Discount) o1;
			Discount discount2 = (Discount) o2;
			if (discount1.getDiscountOrder() < discount2.getDiscountOrder()) {
				return -1;
			} else if (discount1.getDiscountOrder() == discount2
					.getDiscountOrder()) {
				return 0;
			} else {
				return 1;
			}
		} catch (Exception e) {
			return 0;
		}
	}
}
