package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * 
 * @author mgroves, jmcwill
 */
public class CompleteResetPasswordForm extends BaseForm {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2250079703625039415L;

	static Log log = LogFactory.getLog(CompleteResetPasswordForm.class);

	private String passwordToken;

	private String decryptedPassword;

	public String getPasswordToken() {
		return passwordToken;
	}

	public void setPasswordToken(String token) {
		this.passwordToken = token;
	}

	public String getDecryptedPassword() {
		return decryptedPassword;
	}

	public void setDecryptedPassword(String decryptedPassword) {
		this.decryptedPassword = decryptedPassword;
	}

	private String confirmPassword = null;

	public String getConfirmPassword() {
		return (this.confirmPassword);
	}

	public void setConfirmPassword(String confirmPassword) {
		this.confirmPassword = confirmPassword;
	}

	private String csrfToken = null;

	public String getCsrfToken() {
		return csrfToken;
	}

	public void setCsrfToken(String csrfToken) {
		this.csrfToken = csrfToken;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		if (StringUtils.isBlank(getPasswordToken())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Reset password token"));
		}

		int minimumPasswordLength = 0;
		try {
			String minimumPasswordLengthString = (String) getSettings()
					.getValue("minimumPasswordLength");
			minimumPasswordLength = Integer
					.parseInt(minimumPasswordLengthString);
		} catch (Exception e) {
			log.error(e.toString(), e);
		}

		if (StringUtils.isBlank(getDecryptedPassword())
				|| getDecryptedPassword().trim().length() < minimumPasswordLength) {
			String message = getMessage("customer", "customer.password", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.minlength", message, Integer.toString(minimumPasswordLength)));
		}

		if (StringUtils.isBlank(getConfirmPassword())) {
			String message = getMessage("customer", "customer.confirmPassword", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.minlength", message, Integer.toString(minimumPasswordLength)));
		}

		if (StringUtils.isNotBlank(getDecryptedPassword()) && StringUtils.isNotBlank(getConfirmPassword())
				&& !getDecryptedPassword().equals(getConfirmPassword())) {
			String message1 = getMessage("customer", "customer.password", null);
			String message2 = getMessage("customer", "customer.confirmPassword", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.mustMatch", message1, message2));
		}
		return getErrors();
	}
}
