package com.softslate.commerce.customer.json;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.BodyTagSupport;
import javax.servlet.jsp.tagext.Tag;

import org.apache.commons.lang.StringUtils;

/* Add to json result object to be printed */
public class AddJsonResultTag extends BodyTagSupport {

	private static final long serialVersionUID = 1698074487082358425L;
	private PageContext pc = null;
	private Tag parent = null;
	private String addObjectName = null;
	private Object addObjectValue = null;
	private String error = null;
	private String message = null;

	public void setPageContext(PageContext p) {
		pc = p;
	}

	public void setParent(Tag t) {
		parent = t;
	}

	public Tag getParent() {
		return parent;
	}

	public void setAddObjectName(String s) {
		addObjectName = s;
	}

	public String getAddObjectName() {
		return addObjectName;
	}

	public void setAddObjectValue(Object v) {
		addObjectValue = v;
	}

	public Object getAddObjectValue() {
		return addObjectValue;
	}

	public void setError(String e) {
		error = e;
	}

	public String getError() {
		return error;
	}

	public void setMessage(String m) {
		message = m;
	}

	public String getMessage() {
		return message;
	}

	public int doStartTag() throws JspException {

		try {
			JsonResult result = (JsonResult) pc.getRequest().getAttribute("jsonResult");
			if (result == null) {
				result = new JsonResult();
				pc.getRequest().setAttribute("jsonResult", result);
			}
			if (StringUtils.isNotBlank(getAddObjectName())) {
				result.jsonResult.put(getAddObjectName(), getAddObjectValue());
			}
			if (StringUtils.isNotBlank(getError())) {
				result.errors.add(getError());
			}
			if (StringUtils.isNotBlank(getMessage())) {
				result.messages.add(getMessage());
			}
			return SKIP_BODY;

		} catch (Exception ex) {
			throw new JspTagException("An Exception occurred.");
		}

	}

	public int doEndTag() throws JspException {
		return EVAL_PAGE;
	}

	public void release() {
		pc = null;
		parent = null;
		addObjectName = null;
		addObjectValue = null;
		error = null;
		message = null;
	}

}