package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.product.Attribute;
import com.softslate.commerce.daos.core.DAOInterface;
import com.softslate.commerce.daos.core.DataAccessException;

/**
 * Interface for a DAO to manage the <code>sscAttribute</code> table of the
 * database.
 * 
 * @author David Tobey
 *  
 */
public interface AttributeDAO extends DAOInterface {
    abstract Attribute getAttribute();

    abstract void setAttribute(Attribute attribute);

    abstract void loadAttributeFromID() throws Exception;

    abstract void insertAttribute() throws Exception;

    abstract void insertAttribute(boolean commit) throws Exception;
    
    abstract void loadAttributeFromCode() throws DataAccessException;

    abstract void updateAttribute() throws Exception;

    abstract void updateAttribute(boolean commit) throws Exception;

    abstract void deleteAttribute() throws Exception;

    abstract void deleteAttribute(boolean commit) throws Exception;
}
