package com.softslate.commerce.daos.product;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.product.ProductAttribute;
import com.softslate.commerce.daos.core.DAOInterface;
import com.softslate.commerce.daos.core.DataAccessException;

/**
 * Interface for a DAO that runs miscellaneous queries related to basic
 * attributes.
 * 
 * @author David Tobey
 * 
 */
public interface AttributeGatewayDAO extends DAOInterface {
	abstract Map loadAttributesAndCount(Map parameters) throws Exception;

	abstract Map editDeleteAttributes(Map parameters, BusinessObjectFactory bof)
			throws Exception;

	abstract Collection loadAllAttributes() throws Exception;

	abstract void insertProductAttribute(ProductAttribute pa)
			throws DataAccessException;

	abstract void insertProductAttribute(ProductAttribute pa, boolean commit)
			throws DataAccessException;

	abstract int loadMaxAttributeID() throws Exception;

	abstract Collection loadAllAttributesInRange(int firstID, int lastID)
			throws Exception;
}
