package com.softslate.commerce.daos.shipping;

import com.softslate.commerce.businessobjects.shipping.ShippingRate;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO to manage the <code>sscShippingRate</code> table of the
 * database.
 * 
 * @author David Tobey
 * 
 */
public interface ShippingRateDAO extends DAOInterface {
	abstract ShippingRate getShippingRate();

	abstract void setShippingRate(ShippingRate shippingRate);

	abstract void loadShippingRateFromID() throws Exception;

	abstract void insertShippingRate() throws Exception;

	abstract void insertShippingRate(boolean commit) throws Exception;

	abstract void updateShippingRate() throws Exception;

	abstract void updateShippingRate(boolean commit) throws Exception;

	abstract void deleteShippingRate() throws Exception;

	abstract void deleteShippingRate(boolean commit) throws Exception;
}
