package com.softslate.commerce.installer;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 * 
 */
public class BasicInstallerForm extends BaseDynaForm {

	private static final long serialVersionUID = -1017527545222326356L;

	static Log log = LogFactory.getLog(BasicInstallerForm.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		String doDatabaseSettings = (String) get("doDatabaseSettings");
		if (doDatabaseSettings != null && doDatabaseSettings.equals("true")) {
			String databaseType = "MySQL";
			String dialect = (String) get("dialect");
			String databaseHost = (String) get("databaseHost");
			String databasePort = (String) get("databasePort");
			String databaseName = (String) get("databaseName");
			String databaseURL = "";
			if (dialect.contains("MySQL")) {
				databaseType = "MySQL";
			}
			if (dialect.contains("PostgreSQL")) {
				databaseType = "Postgres";
			}
			if (dialect.contains("Oracle")) {
				databaseType = "Oracle";
			}
			if (dialect.contains("SQLServer")) {
				databaseType = "MSSQL";
			}
			if (databaseType.equals("MySQL")) {
				databaseURL = "jdbc:mysql://" + databaseHost + ":"
						+ databasePort + "/" + databaseName;
			} else if (databaseType.equals("MSSQL")) {
				databaseURL = "jdbc:jtds:sqlserver://" + databaseHost + ":"
						+ databasePort + "/" + databaseName;
			} else if (databaseType.equals("Postgres")) {
				databaseURL = "jdbc:postgresql://" + databaseHost + ":"
						+ databasePort + "/" + databaseName;
			} else if (databaseType.equals("Oracle")) {
				databaseURL = "jdbc:oracle:thin:@//" + databaseHost + ":"
						+ databasePort + "/" + databaseName;
			}
			set("databaseURL", databaseURL);
			if (log.isDebugEnabled())
				log.debug("databaseURL: " + databaseURL);
		}
		String doDatabaseInitialize = (String) get("doDatabaseInitialize");
		if (doDatabaseInitialize != null && doDatabaseInitialize.equals("true")) {
//			if (!stringExists("administratorUserName")) {
//				String message = getMessage("installer/installer",
//						"installer.administratorUserName", null);
//				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
//						new ActionMessage("errors.required", message));
//			}
//			if (!stringExists("administratorPassword")) {
//				String message = getMessage("installer/installer",
//						"installer.administratorPassword", null);
//				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
//						new ActionMessage("errors.required", message));
//			}
			if (!stringExists("customerURL")) {
				String message = getMessage("installer/installer",
						"installer.customerURL", null);
				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.required", message));
			}
			if (!stringExists("customerSecureURL")) {
				String message = getMessage("installer/installer",
						"installer.customerSecureURL", null);
				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.required", message));
			}
			if (!stringExists("administratorURL")) {
				String message = getMessage("installer/installer",
						"installer.administratorURL", null);
				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.required", message));
			}
			if (!stringExists("storeName")) {
				String message = getMessage("installer/installer",
						"installer.storeName", null);
				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.required", message));
			}
			if (!stringExists("currencyCode")) {
				String message = getMessage("installer/installer",
						"installer.currencyCode", null);
				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.required", message));
			}
		}
		return getErrors();
	}

	public boolean stringExists(String property) {
		try {
			String value = (String) get(property);
			if (value.length() == 0)
				return false;
		} catch (IllegalArgumentException iae) {
			return false;
		}
		return true;
	}

}
