create table sscTemplate (
	templateID number(10,0) not null, 
	code varchar2(255) not null unique,
	type varchar2(255) not null,
	subject varchar2(255),
	description clob,
	bodyHtml clob,
	bodyText clob,
	isActive number(1,0) default 0,
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.email.TemplateBean',
	primary key (templateID)
);

create table sscEmail (
	emailID number(10,0) not null, 
	orderID number(10,0),
	customerID number(10,0),
	templateID number(10,0),
	type varchar2(255),
	toEmails varchar2(255),
	ccEmails varchar2(255),
	bccEmails varchar2(255),
	fromEmail varchar2(255),
	subject varchar2(255),
	bodyHtml clob,
	bodyText clob,
	createdTime varchar2(30),
	sendTime varchar2(30),
	lastActionTime varchar2(30),
	status varchar2(255) DEFAULT 'Unattempted',
	errorMessage varchar2(255),
	lastEvent varchar2(255),
	lastEventTime varchar2(30),
	smtpServer varchar2(255),
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.email.EmailBean',
	primary key (emailID)
);

alter table sscEmail add constraint FKEmloID foreign key (orderID) references sscOrder ON DELETE SET NULL;
alter table sscEmail add constraint FKEmlcID foreign key (customerID) references sscCustomer ON DELETE SET NULL;
alter table sscEmail add constraint FKEmltID foreign key (templateID) references sscTemplate ON DELETE SET NULL;
CREATE INDEX IDX_sscEmail_type ON sscEmail (type);
CREATE INDEX IDX_sscEmail_toEmails ON sscEmail (toEmails);
CREATE INDEX IDX_sscEmail_createdTime ON sscEmail (createdTime);

CREATE TABLE sscEmailOptOut (
	emailOptOutID number(10,0) not null, 
	emailAddress varchar2(255) not null,
	createdTime varchar2(30) not null,
	type varchar2(50) not null,
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.email.EmailOptOutBean',
	primary key (emailOptOutID),
	unique (emailAddress, type)
);
CREATE INDEX IDX_emailOptOut_createdTime ON sscEmailOptOut (createdTime);

CREATE OR REPLACE TRIGGER templateSeqTrigger 
	BEFORE INSERT ON sscTemplate 
	FOR EACH ROW
	WHEN (new.templateID IS NULL)
		BEGIN
			SELECT hibernate_sequence.NEXTVAL
			INTO   :new.templateID
			FROM   dual; 
		END;;
