<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start pageVariables.jsp -->
<%-- Define the following variables based on the breadcrumb collection in the request. --%>
<c:set var="pageSectionName" scope="request" value=""/> <%-- The name of the element corresponding to the left side menu - 1st breadcrumb after Home. Used by layout.jsp, and side.jsp to highlight the menu item we're on --%>
<c:set var="pageDetailsName" scope="request" value=""/> <%-- The name of the 2nd breadcrumb after home - corresponds to the "__ Details" page. Used by heading.jsp to pull in the details tabs. --%>
<c:set var="pageTitle" scope="request" value=""/> <%-- The name of the page title as displayed in the body of the page. Used by heading.jsp. --%>
<c:set var="pageChildTitle" scope="request" value=""/> <%-- The name of the child title under the main page title. Eg, the attribute being edited under a product. --%>
<c:set var="pageHTMLTitle" scope="request" value=""/> <%-- The page title as displayed in the html head's title tag. Used by layout.jsp. --%>
<c:if test="${!empty breadcrumbs}">
	<c:forEach var="breadcrumb" items="${breadcrumbs}" varStatus="i">
		<c:set var="navElement" scope="request" value="${breadcrumb}"/>

		<%-- Look up the navigation names for this breadcrumb. --%>
		<ssc:insert page="/WEB-INF/templates/administrator/default/core/navigationLookup.jsp"/>
		
		<%-- First breadcrumb (eg. Home) --%>
		<%-- Define the pageHTMLTitle pending more breadcrumbs. --%>
		<c:if test="${i.index == 0}">
			<c:set var="pageHTMLTitle" scope="request" value="${navigationName}"/>
			<c:set var="pageTitle" scope="request" value="Welcome to the SoftSlate Commerce Administrator"/>
		</c:if>
		
		<%-- Second breadcrumb (eg. Home -> Products) --%>
		<%-- Define the pageSectionName, pageTitle and pageHTMLTitle pending more breadcrumbs. --%>
		<c:if test="${i.index == 1}">
			<c:set var="pageSectionName" scope="request" value="${breadcrumb}"/>
			<c:set var="pageTitle" scope="request" value="${navigationName}"/>
			<c:set var="pageHTMLTitle" scope="request" value="${navigationName}"/>
		</c:if>
		
		<%-- Third breadcrumb (eg. Home -> Products -> Product: Widget) --%>
		<%-- Define the pageDetailsName and pageTitle. Redefine pageHTMLTitle pending more breadcrumbs. --%>
		<c:if test="${i.index == 2}">
			<c:set var="pageDetailsName" scope="request" value="${breadcrumb}"/>
			<c:set var="detailsSuffix" scope="request" value="${navigationSuffix}"/>
			<c:set var="pageTitle" scope="request" value="${navigationName}"/>
			<c:set var="pageHTMLTitle" scope="request" value="${navigationName}"/>
			<c:set var="pageDirectoryAndPrefix" scope="request" value="${navigationDirectoryAndPrefix}"/>
		</c:if>
		
		<%-- Forth breadcrumb (eg. Home -> Products -> Product: Widget -> Attributes) --%>
		<%-- Define the pageChildTitle pending more breadcrumbs. Append to pageHTMLTitle. --%>
		<c:if test="${i.index == 3}">
			<c:if test="${breadcrumb ne 'Import Results'}">
				<c:set var="pageChildTitle" scope="request" value="${navigationName} ${detailsSuffix}"/>
			</c:if>
			<c:set var="pageHTMLTitle" scope="request" value="${pageHTMLTitle} - ${navigationName}"/>
		</c:if>
		
		<%-- Fifth breadcrumb (eg. Home -> Products -> Product: Widget -> Attributes -> Attribute: Size) --%>
		<%-- Redefine the pageChildTitle. Redefine pageHTMLTitle. --%>
		<c:if test="${i.index == 4}">
			<c:set var="pageChildTitle" scope="request" value="${navigationName}"/>
			<c:set var="pageHTMLTitle" scope="request" value="${navigationName}"/>
		</c:if>
		
		<%-- Sixth breadcrumb (eg. Home -> Products -> Product: Widget -> Attributes -> Attribute: Size -> Options) --%>
		<%-- Append to pageHTMLTitle. --%>
		<c:if test="${i.index == 5}">
			<c:set var="pageHTMLTitle" scope="request" value="${pageHTMLTitle} - ${navigationName}"/>
		</c:if>
		
		<%-- Seventh breadcrumb (eg. Home -> Products -> Product: Widget -> Attributes -> Attribute: Size -> Options -> Option: Large) --%>
		<%-- Append to pageHTMLTitle. --%>
		<c:if test="${i.index == 6}">
			<c:set var="pageHTMLTitle" scope="request" value="${navigationName}"/>
		</c:if>
		
	</c:forEach>
	
	<%-- Eliminate <em> tag from the pageHTMLTitle --%>
	<c:if test="${!empty pageHTMLTitle}">
		<c:set var="pageHTMLTitle" scope="request"><%= ((String) request.getAttribute("pageHTMLTitle")).replaceAll("<em>", "").replaceAll("</em>", "") %></c:set>
	</c:if>
</c:if>
<!-- End pageVariables.jsp -->
