<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<!-- Start storeMessages.jsp -->

<form name="searchForm" action="StoreMessages.do" method="post">
	<html:text styleId="searchButton" name="storeMessagesForm" property="searchString"/>
	<html:hidden name="storeMessagesForm" property="bundle"/>
	<input type="submit" class="button" value="<bean:message key="administrator.filter" bundle="/administrator/administrator"/>"/>
	<input type="submit" class="button" onclick="document.forms.searchForm.searchString.value=''" value="<bean:message key="administrator.clear" bundle="/administrator/administrator"/>"/>
</form>

<br/><br/>

<%
	java.util.Map messages = (java.util.Map) request.getAttribute("messages");
	java.util.ArrayList keys = new java.util.ArrayList(messages.keySet());
	java.util.Collections.sort(keys);
	request.setAttribute("keys", keys);
%>
<html:form action="/StoreMessagesProcess" method="post">
	<html:hidden name="storeMessagesForm" property="bundle"/>
	<html:hidden name="storeMessagesForm" property="searchString"/>
	<table class="componentsTable settingsTable">
		<tr>
			<th class="setting">Message</th>
			<th class="value">Value</th>
		</tr>
		<c:if var="keyFound" test="${false}"/>
		<c:forEach var="key" items="${keys}" begin="0" end="1000">
			<c:set var="keyPrefix" value="."/>
			<c:if test="${fn:startsWith(key, keyPrefix)}">
			<c:if test="${empty storeMessagesForm.searchString or fn:contains(fn:toLowerCase(key), fn:toLowerCase(storeMessagesForm.searchString)) or fn:contains(fn:toLowerCase(messages[key]), fn:toLowerCase(storeMessagesForm.searchString))}">
				<c:if var="keyFound" test="${true}"/>
				<% pageContext.setAttribute("keyDisplay", ((String) pageContext.getAttribute("key")).replaceFirst((String) pageContext.getAttribute("keyPrefix"), "")); %>
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<tr class="<c:out value="${requestScope.thisClass}"/>">
					<td class="setting"><label for="<c:out value="${keyDisplay}"/>"><c:out value="${keyDisplay}"/></label>:</td>
					<td class="value"><input type="text" size="65" id="<c:out value="${keyDisplay}"/>" type="text" name="<c:out value="${key}"/>" value="<c:out value="${messages[key]}"/>"/></td>
				</tr>
			</c:if>
			</c:if>
		</c:forEach>
		<c:if test="${!keyFound}">
			<tr class="<c:out value="${requestScope.thisClass}"/>">
				<td class="setting" colspan="2">No messages matched on the filter.</td>
			</tr>
		</c:if>
	</table>
	<c:if test="${keyFound}">
		<logic:present role="superuser,administrator,settingsEdit,storeMessagesEdit">
	    	<div class="saveSettings">
				<input type="submit" class="button" name="storeMessagesSubmit" value="Save Messages"/>
			</div>
		</logic:present>
	</c:if>
</html:form>

<div class="notes">
	<h3 class="administratorSubhead">Notes</h3>
	<ul class="notesList">
		<li class="warning">
			<p>This form is an interface to the application-custom.properties files under the subdirectories of /WEB-INF/classes/resources. 
			Please be aware that some application servers can be configured to reload the application whenever a file under /WEB-INF/classes changes.
			If that is the case, submitting this form will have the effect of reloading the application. 
			It is recommended you disable the configuration. 
			(Eg. in the Tomcat Context configuration, set reloadable="false", which is the default.)</p>
		</li>
		<li class="tip">
			<p>If you have created a translation of the messages by adding application*.properties files for specific languages or locales,
			you should probably not use this form.
			Altering the messages here will override the messages that get displayed for <em>all</em> languages and locales.</p>
		</li>
		<li class="tip">
			<p>This form is an interface to the application-custom.properties files under the subdirectories of /WEB-INF/classes/resources.
			The application server must have writable permission for the subdirectories for changes to take effect.</p>
		</li>
		<li class="tip">
			<p>If you are running this application in a clustered environment, we recommend you change the files manually on each server, 
			instead of using this screen. This form will only affect the files on the server that you're currently using.</p>
			<br/>
		</li>
	</ul>
</div>


<!-- End storeMessages.jsp -->
