<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	<p>Use these settings to define how your store connects to the First Data Global Payment gateway to process credit cards.</p>
</div>

<br/>

<html:form action="/SettingsProcessFirstData" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'FIRSTDATA'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'firstDataTransactionType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="firstDataTransactionType">
									<option value="PREAUTH" <logic:match name="setting" property="smallValue" value="PREAUTH">selected="selected"</logic:match>>Authorization Only (PREAUTH)</option>
									<option value="SALE" <logic:match name="setting" property="smallValue" value="SALE">selected="selected"</logic:match>>Authorization and Capture (SALE)</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>

					<c:when test="${setting.code eq 'firstDataTestMode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="firstDataTestMode">
									<option value="LIVE" <c:if test="${settingRow.smallValue eq 'LIVE'}">selected="selected"</c:if>>LIVE</option>
									<option value="GOOD" <c:if test="${settingRow.smallValue eq 'GOOD'}">selected="selected"</c:if>>GOOD</option>
									<option value="DECLINE" <c:if test="${settingRow.smallValue eq 'DECLINE'}">selected="selected"</c:if>>DECLINE</option>
									<option value="DUPLICATE" <c:if test="${settingRow.smallValue eq 'DUPLICATE'}">selected="selected"</c:if>>DUPLICATE</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>

					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</c:if>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

