<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings to define how your store connects to the Payflow Link payment gateway to process credit cards.
</div>

<br/>

<html:form action="/SettingsProcessPayflowLink" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="payflowLink">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'payflowLinkType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="payflowLinkType">
									<option value="S" <logic:match name="setting" property="smallValue" value="S">selected="selected"</logic:match>>Sale</option>
									<option value="A" <logic:match name="setting" property="smallValue" value="A">selected="selected"</logic:match>>Authorization</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<br/><br/>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Establish a Payflow Link Account">
				<p>To enable Payflow Link, you must establish an account with them. 
				Visit <a href="https://www.paypal.com/us/cgi-bin/webscr?cmd=_payflow-link-integration-outside" target="_blank">https://www.paypal.com/us/cgi-bin/webscr?cmd=_payflow-link-integration-outside</a> 
				for more information.</p>
			</ssc:help>
		</li>
	</ul>
</div>
