<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />

<!-- Start categoryOverview.jsp -->
<div class="overview">
	
	<p class="instructions">
		Use this overview to manage the products and other information associated with this category.
	</p>	
	
	<c:set var="indent" value="-20"/>
	<table id="categorySubcategories" class="tabDetails overview" cellspacing="0" summary="Subcategories">
		<tr>
			<th colspan="2">
				Location on Category Tree
			</th>
		</tr>
		<c:choose>
			<c:when test="${category.categoryTreeID != 0 and !empty category.parentCollection}">
				<%-- Parent categories --%>
				<c:set var="styleClass" value="altRow"/>
				<logic:iterate name="category" property="parentCollection" id="parent">
					<c:set var="indent" value="${indent + 20}"/>
					<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
					<tr>
						<td class="<c:out value="${styleClass}"/>" style="text-indent: <c:out value="${indent}"/>px">
							<c:out value="${parent.name}" escapeXml="false"/> (<c:out value="${parent.code}"/>)
							<c:if test="${!parent.isActive}">[inactive]</c:if>
							<c:if test="${parent.categoryTreeID == 0}">[not shown on tree]</c:if>
						</td>
						<td class="links <c:out value="${styleClass}"/>">
							<a href="<%=response.encodeURL(administratorURL + "/CategoryOverview.do")%>?categoryID=<c:out value="${parent.categoryID}"/>">Overview</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/CategoryEditForm.do")%>?categoryID=<c:out value="${parent.categoryID}"/>">Details</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=categoryID&assignments=assigned&categoryID=<c:out value="${parent.categoryID}"/>">Products</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/CategorySettingsGeneral.do")%>?categoryID=<c:out value="${parent.categoryID}"/>">Custom Settings</a>
						</td>
					</tr>
				</logic:iterate>
				<c:set var="indent" value="${indent + 20}"/>
				<c:set var="parent" value="${category.parent}"/>
				<logic:iterate name="parent" property="subcategoryCollection" id="subcategory">
					<%-- The immediate parent category's subcategories. --%>
					<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
					<tr>
						<td class="<c:out value="${styleClass}"/>" style="text-indent: <c:out value="${indent}"/>px">
							<c:choose><c:when test="${subcategory.code eq category.code}"><strong><c:out value="${subcategory.name}" escapeXml="false"/></strong></c:when><c:otherwise><c:out value="${subcategory.name}" escapeXml="false"/></c:otherwise></c:choose> (<c:out value="${subcategory.code}"/>)
							<c:if test="${!subcategory.isActive}">[inactive]</c:if>
							<c:if test="${subcategory.categoryTreeID == 0}">[not shown on tree]</c:if>
						</td>
						<td class="links <c:out value="${styleClass}"/>">
							<a href="<%=response.encodeURL(administratorURL + "/CategoryOverview.do")%>?categoryID=<c:out value="${subcategory.categoryID}"/>">Overview</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/CategoryEditForm.do")%>?categoryID=<c:out value="${subcategory.categoryID}"/>">Details</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=categoryID&assignments=assigned&categoryID=<c:out value="${subcategory.categoryID}"/>">Products</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/CategorySettingsGeneral.do")%>?categoryID=<c:out value="${subcategory.categoryID}"/>">Custom Settings</a>
						</td>
					</tr>
					<%-- This category's subcategories in the context of the tree--%>
					<c:choose>
						<c:when test="${subcategory.code eq category.code and !empty category.subcategoryCollection and !category.subcategoryCollection['empty']}">
							<c:set var="indent" value="${indent + 20}"/>
							<c:set var="styleClass" value="altRow"/>
							<logic:iterate name="category" property="subcategoryCollection" id="subcategory">
								<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
								<tr>
									<td class="<c:out value="${styleClass}"/>" style="text-indent: <c:out value="${indent}"/>px">
										<c:out value="${subcategory.name}" escapeXml="false"/> (<c:out value="${subcategory.code}"/>)
										<c:if test="${!subcategory.isActive}">[inactive]</c:if>
									</td>
									<td class="links <c:out value="${styleClass}"/>">
										<a href="<%=response.encodeURL(administratorURL + "/CategoryOverview.do")%>?categoryID=<c:out value="${subcategory.categoryID}"/>">Overview</a> | 
										<a href="<%=response.encodeURL(administratorURL + "/CategoryEditForm.do")%>?categoryID=<c:out value="${subcategory.categoryID}"/>">Details</a> | 
										<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=categoryID&assignments=assigned&categoryID=<c:out value="${subcategory.categoryID}"/>">Products</a> | 
										<a href="<%=response.encodeURL(administratorURL + "/CategorySettingsGeneral.do")%>?categoryID=<c:out value="${subcategory.categoryID}"/>">Custom Settings</a>
									</td>
								</tr>
							</logic:iterate>
							<c:set var="indent" value="${indent - 20}"/>
						</c:when>
						<c:when test="${subcategory.code eq category.code}">
							<c:set var="indent" value="${indent + 20}"/>
							<tr>
								<td colspan="2" style="text-indent: <c:out value="${indent}"/>px">
									No subcategories.
								</td>
							</tr>
							<c:set var="indent" value="${indent - 20}"/>
						</c:when>
					</c:choose>
				</logic:iterate>
			</c:when>
			<%-- This category when there are no parents. --%>
			<c:when test="${category.categoryTreeID != 0 and !empty category.subcategoryCollection and !category.subcategoryCollection['empty']}">
				<c:set var="indent" value="${indent + 20}"/>
				<tr>
					<td class="<c:out value="${styleClass}"/>" style="text-indent: <c:out value="${indent}"/>px">
						<strong><c:out value="${category.name}" escapeXml="false"/></strong> (<c:out value="${category.code}"/>)
						<c:if test="${!category.isActive}">[inactive]</c:if>
						<c:if test="${category.categoryTreeID == 0}">[not shown on tree]</c:if>
					</td>
					<td class="links <c:out value="${styleClass}"/>">
						<a href="<%=response.encodeURL(administratorURL + "/CategoryOverview.do")%>?categoryID=<c:out value="${category.categoryID}"/>">Overview</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/CategoryEditForm.do")%>?categoryID=<c:out value="${category.categoryID}"/>">Details</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=categoryID&assignments=assigned&categoryID=<c:out value="${category.categoryID}"/>">Products</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/CategorySettingsGeneral.do")%>?categoryID=<c:out value="${category.categoryID}"/>">Custom Settings</a>
					</td>
				</tr>
				<%-- This category's subcategories when there are no parents. --%>
				<c:set var="indent" value="${indent + 20}"/>
				<c:set var="styleClass" value="altRow"/>
				<logic:iterate name="category" property="subcategoryCollection" id="subcategory">
					<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
					
					<tr>
						<td class="<c:out value="${styleClass}"/>" style="text-indent: <c:out value="${indent}"/>px">
							<c:out value="${subcategory.name}" escapeXml="false"/> (<c:out value="${subcategory.code}"/>)
							<c:if test="${!subcategory.isActive}">[inactive]</c:if>
							<c:if test="${subcategory.categoryTreeID == 0}">[not shown on tree]</c:if>
						</td>
						<td class="links <c:out value="${styleClass}"/>">
							<a href="<%=response.encodeURL(administratorURL + "/CategoryOverview.do")%>?categoryID=<c:out value="${subcategory.categoryID}"/>">Overview</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/CategoryEditForm.do")%>?categoryID=<c:out value="${subcategory.categoryID}"/>">Details</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=categoryID&assignments=assigned&categoryID=<c:out value="${subcategory.categoryID}"/>">Products</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/CategorySettingsGeneral.do")%>?categoryID=<c:out value="${subcategory.categoryID}"/>">Custom Settings</a>
						</td>
					</tr>
				</logic:iterate>
			</c:when>
			<c:when test="${category.categoryTreeID != 0}">
				<tr>
					<td colspan="2">
						No parent or child categories.
					</td>
				</tr>
			</c:when>
			<c:otherwise>
				<tr>
					<td colspan="2">
						This category is not shown on the category tree.
					</td>
				</tr>
			</c:otherwise>
		</c:choose>
	</table>
	
	<table id="categoryPrimaryProducts" class="tabDetails overview" cellspacing="0" summary="Primary Products">
		<tr>
			<th colspan="2">
				<logic:present role="superuser,administrator,productView,productEdit">
					<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?categoryID=<c:out value="${category.categoryID}"/>&assignments=assigned">
						Products
					</a>
				</logic:present>
				<logic:notPresent role="superuser,administrator,productView,productEdit">
						Products
				</logic:notPresent>
			</th>
		</tr>
		<c:if test="${!empty category.products and !category.products['empty']}">
			<c:set var="styleClass" value="altRow"/>
			<logic:iterate name="category" property="products" id="product">
				<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
				<tr>
					<td class="<c:out value="${styleClass}"/>">
						<c:out value="${product.name}" escapeXml="false"/> (<c:out value="${product.code}"/>)
						<c:if test="${!product.isActive}">[inactive]</c:if>
						<span class="calloutMatch">*</span>
					</td>
					<td class="links <c:out value="${styleClass}"/>">
						<logic:present role="superuser,administrator,productView,productEdit">
							<a href="<%=response.encodeURL(administratorURL + "/ProductOverview.do")%>?productID=<c:out value="${product.productID}"/>">Overview</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/ProductEditForm.do")%>?productID=<c:out value="${product.productID}"/>">Details</a> | 
						</logic:present>
						<logic:present role="superuser,administrator,attributeView,attributeEdit">
							<a href="<%=response.encodeURL(administratorURL + "/Attribute.do")%>?parentIDField=productID&assignments=assigned&productID=<c:out value="${product.productID}"/>">Attributes</a> | 
						</logic:present>
						<logic:present role="superuser,administrator,productView,productEdit">
							<a href="<%=response.encodeURL(administratorURL + "/Category.do")%>?parentIDField=productID&assignments=assigned&productID=<c:out value="${product.productID}"/>">Categories</a> | 
						</logic:present>
						<logic:present role="superuser,administrator,skuView,skuEdit">
							<a href="<%=response.encodeURL(administratorURL + "/SKU.do")%>?parentIDField=productID&assignments=assigned&productID=<c:out value="${product.productID}"/>">SKUs</a> | 
						</logic:present>
						<logic:present role="superuser,administrator,productView,productEdit">
							<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=parentProductID&assignments=assigned&parentProductID=<c:out value="${product.productID}"/>">Related Products</a> | 
							<a href="<%=response.encodeURL(administratorURL + "/ProductSettingsGeneral.do")%>?productID=<c:out value="${product.productID}"/>">Custom Settings</a>
						</logic:present>
					</td>
				</tr>
			</logic:iterate>
		</c:if>
		<c:if test="${!empty category.productCategories and !category.productCategories['empty']}">
			<c:set var="styleClass" value="altRow"/>
			<logic:iterate name="category" property="productCategories" id="pc">
				<c:set var="product" value="${pc.product}"/>
				<c:choose><c:when test="${styleClass eq 'altRow'}"><c:set var="styleClass" value=""/></c:when><c:otherwise><c:set var="styleClass" value="altRow"/></c:otherwise></c:choose>
				<tr>
					<td class="<c:out value="${styleClass}"/>">
						<c:out value="${product.name}" escapeXml="false"/> (<c:out value="${product.code}"/>)
						<c:if test="${!product.isActive}">[inactive]</c:if>
					</td>
					<td class="links <c:out value="${styleClass}"/>">
						<a href="<%=response.encodeURL(administratorURL + "/ProductOverview.do")%>?productID=<c:out value="${product.productID}"/>">Overview</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/ProductEditForm.do")%>?productID=<c:out value="${product.productID}"/>">Details</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/Attribute.do")%>?parentIDField=productID&assignments=assigned&productID=<c:out value="${product.productID}"/>">Attributes</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/Category.do")%>?parentIDField=productID&assignments=assigned&productID=<c:out value="${product.productID}"/>">Categories</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/SKU.do")%>?parentIDField=productID&assignments=assigned&productID=<c:out value="${product.productID}"/>">SKUs</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/Product.do")%>?parentIDField=parentProductID&assignments=assigned&parentProductID=<c:out value="${product.productID}"/>">Related Products</a> | 
						<a href="<%=response.encodeURL(administratorURL + "/ProductSettingsGeneral.do")%>?productID=<c:out value="${product.productID}"/>">Custom Settings</a>
					</td>
				</tr>
			</logic:iterate>
		</c:if>
		<c:if test="${(empty category.products or category.products['empty']) and (empty category.productCategories or category.productCategories['empty'])}">
				<tr>
					<td colspan="2">
						No products.
					</td>
				</tr>
		</c:if>
	</table>
	<c:if test="${!empty category.products and !category.products['empty']}">
		<div class="instructions" style="font-size: .9em;">
			<span class="calloutMatch">*</span> This category is the primary category for the product. To unassign, change the product's primary category.
		</div>
	</c:if>

</div>

<!-- End categoryOverview.jsp -->
