$(document).ready(function() {	

	var suggestions = new Bloodhound({
		datumTokenizer: Bloodhound.tokenizers.obj.whitespace('value'),
		queryTokenizer: Bloodhound.tokenizers.whitespace,
		remote: { 
			url: SSCGlobalJSVariables.customerURL + '/Suggestions.do?searchString=%QUERY',
			wildcard: '%QUERY' 
		}
	});

	$('#searchString').typeahead({
		hint: true,
		highlight: true,
		minLength: 1
	},
	{
		name: 'suggestions',
		displayKey: 'displayName',
		limit: SSCGlobalJSVariables.advancedSearchSuggestionsMaxResults - 1, // see typeahead bug: https://github.com/twitter/typeahead.js/issues/1201
		source: suggestions,
		templates: {
			suggestion: Handlebars.compile($('#search-suggestion').html())
		}
	});
	
	// Go to the suggestion's link when it is selected
	$('#searchString').bind('typeahead:select', function(ev, suggestion) {
		if (suggestion.link) {
			document.location = suggestion.link;
		}
	});

});